Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009109Dwarf FortressGeneralpublic2015-11-02 15:202018-06-02 10:54
ReporterTudori 
Assigned ToToady One 
PriorityhighSeveritymajorReproducibilityunable to reproduce
StatusresolvedResolutionfixed 
PlatformOSWindows 7OS Version
Product Version0.40.24 
Target VersionFixed in Version0.44.11 
Summary0009109: Massive stutter every few seconds
DescriptionA few months back(in-game) the game started to stutter really badly. Every few seconds or so, it will freeze for .5-2 seconds. Renders it unplayable in the long run.

http://dffd.bay12games.com/file.php?id=11253 [^]
Steps To ReproduceLoad and let saved game run.
Additional InformationWas unable to reproduce due to saving over the pre-stutter game, but it was running nice and smooth before despite 100+ dwarve and dozens of animals. 5x5 embark, not unretired.

Attempted to fix stutter by using tools available in dfhack; revealed entire map, including hell(but didn't let demons spawn), killed every single creature except one dwarf, unrevealed map, still stutters. Used clean and various other tools, including deleting dumps, without effect.

Merchants and current creatures(cept the one dwarf) on map are post-extermination arrivals and thus unrelated.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0009554resolvedlethosor Game freezes for about 10 seconds then runs for 10 seconds repeatedly 
related to 0010459resolvedToady One Game stuttering/freezing every couple of steps 
related to 0010444resolvedToady One Extreme Lag and Stuttering after 7 Year Old Fort on World with Default Settings 

-  Notes
(0033148)
lethosor (manager)
2015-11-02 15:28

What happens if you run the game without any utilities?
(0033149)
Tudori (reporter)
2015-11-02 16:06

Just disabled DFHack to confirm, still identical symptoms when loading the game.
(0033157)
Loci (manager)
2015-11-07 08:56

This save has non-layer-stone floors, which were removed early in the v0.40 branch. I don't think the floors are the cause of the problem, just an indication that there's something odd with the save.
(0033158)
Tudori (reporter)
2015-11-07 10:18

Ah right, that was just an old modification using DFHack's vein-change function, since I needed some iron for armor at the time. Another modification is in the create world params to increase map depth, but those two should be all. Don't think they're related given that it was running for years without problems before the stuttering started.

There are a few things I remember that could be related; A dwarf was in a fight in a cave, was knocked unconciouss into the water where he drowned shortly after. A penned animal got scared by an attacker in the same cave, fell off a ledge and landed on the second floor of a water-based tree. Finally, some dwarf complained for a while about being unable to feed someone/something due to inaccessibility; could have been trying to feed the drowning dwarf(or the animal stuck in the tree?), I didn't look over it at the time.

All three events happened at around the time the stuttering started, but all three were also resolved(dwarf and animal died, feeding cancellations stopped) without fixing the issue, the relevant remains were all forbidden. And if this was a pathfinding issue I'd have expected it to stop when I exterminated all the creatures anyway.
(0037583)
Loci (manager)
2018-01-11 13:14

v0.44.04: confirmed save still stutters
(0038321)
Toady One (administrator)
2018-05-11 19:52

This seems to be coming from a vegetation connectivity check. I haven't fully figured it out yet, perhaps that tangle of underground trees growing. I have confirmed that every stutter here comes from the connectivity map being fully recalculated after the vegetation triggers it. Now I'll see if it is easily fixable.
(0038422)
Loci (manager)
2018-06-02 10:54

devlog 05/18/2018:

"I also fixed the vegetation lag; if your fort was having a little hiccup every, say, five seconds, it'll possibly be cleaned up for next time."

- Issue History
Date Modified Username Field Change
2015-11-02 15:20 Tudori New Issue
2015-11-02 15:28 lethosor Note Added: 0033148
2015-11-02 16:06 Tudori Note Added: 0033149
2015-11-07 08:56 Loci Note Added: 0033157
2015-11-07 10:18 Tudori Note Added: 0033158
2017-12-21 19:21 lethosor Relationship added related to 0010459
2017-12-21 19:26 lethosor Relationship added related to 0010444
2017-12-21 19:31 lethosor Relationship added related to 0009554
2018-01-11 13:14 Loci Note Added: 0037583
2018-01-11 13:14 Loci Assigned To => Loci
2018-01-11 13:14 Loci Status new => confirmed
2018-04-16 18:10 Huntthetroll Issue Monitored: Huntthetroll
2018-05-11 19:52 Toady One Note Added: 0038321
2018-05-25 11:55 lethosor Relationship replaced has duplicate 0009554
2018-06-02 10:54 Loci Note Added: 0038422
2018-06-02 10:54 Loci Status confirmed => resolved
2018-06-02 10:54 Loci Fixed in Version => Next Version
2018-06-02 10:54 Loci Resolution open => fixed
2018-06-02 10:54 Loci Assigned To Loci => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker